Package weka.core

# Interface Matchable

All Known Implementing Classes:
  `J48`, `J48graft`

public interface Matchable
Interface to something that can be matched with tree matching algorithms.

Version:
  $Revision: 1.6 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`String`
`prefix()`
Returns a string that describes a tree representing the object in prefix order.

## Method Details

### prefix

String prefix() throws Exception
Returns a string that describes a tree representing the object in prefix order.

Returns:
  the tree described as a string
Throws:
  `Exception` - if the tree can't be computed